Как установить HTTP-пакет во Flutter?

Cуть протокола HTTP Изучение

Flutter — это мобильный SDK от Google для создания нативных приложений для iOS и Android из единой кодовой базы. При создании приложений с Flutter все направлено на виджеты — блоки, из которых строятся приложения Flutter. Пользовательский интерфейс приложения состоит из множества простых виджетов, каждый из которых выполняет одну конкретную задачу. Вот почему разработчики Flutter склонны думать о своем приложении как о дереве виджетов. HTTP Package — это компонуемая библиотека на основе Future для создания HTTP-запросов. Этот пакет содержит набор высокоуровневых функций и классов, упрощающих использование ресурсов HTTP. Он мультиплатформенный и поддерживает мобильные устройства, настольные компьютеры и браузеры. В этой статье мы рассмотрим «Как установить HTTP-пакет во Flutter». Для этого выполните следующие шаги. Мы собираемся обсудить два метода выполнения этой задачи.

Способ 1: просто из командной строки вашего проекта флаттера

Запустите эту команду:

flutter pub add http

Это добавит подобную строку в pubspec.yaml вашего пакета (и запустит неявный dart pub get):

то добавит подобную строку в pubspe

Примечание. Это добавит текущую версию пакета.

Способ 2: путем явного добавления в pubspec.yaml вашего пакета

Просто посетите сайт флаттера.

Просто посетите сайт флатте

Теперь скопируйте пакет, как показано на изображении выше. Перейдите к pubspec.yaml в вашем проекте флаттера. В разделе зависимостей ниже вставьте.

Теперь скопируйте пакет, как показано на изображении

Запустите неявный дартс паб get

Импортируйте это

Теперь в вашем коде Dart вы можете использовать:

import ‘package: http/http.dart’;

Читайте также:  Структура команды DevOps
Оцените статью
bestprogrammer.ru
Добавить комментарий

Adblock
detector